.geometry "version 0.1";
v1 = .free(-0.589603, -0.783858, "1");
v2 = .free(0.499316, -0.783858, "3");
ll = .l.vv(v1, v2, .invisible);
v3 = .vonl(ll, -0.099863, -0.783858, .plus, "2");
vv = .free(-0.316005, 0.143639, "F1");
ww = .free(0.398085, 0.149111, "F2");
len = .len.vv(v1, v3);
c = .c.vlen(vv, len);
sum = .len.vv(v1, v2);
diff = .len.minus(sum, len);
c1 = .c.vlen(ww, diff);
v6 = .v.cc(c1, c, 1, .smear);
v8 = .v.cc(c1, c, 2, .smear);
.text("Construction of an Ellipse:");
.text("");
.text("An ellipse is defined to be the set of all points such");
.text("that the sum of the distances of those points from two");
.text("points (called the foci) is constant.");
.text("");
.text("In the figure, F1 and F2 are the foci, and the (fixed)");
.text("sum of the distances is the length from 1 to 3.  The");
.text("point 2 between 1 and 3 can be moved, and the radius of");
.text("the circle about F1 is the length of 12, while the");
.text("radius of the circle about F2 is the length 23.  The");
.text("intersections of the circles are therefore on the ellipse.");
.text("");
.text("Move the point 2, and the intersections will smear out an");
.text("ellipse.  Any of the 5 labelled points can be moved to");
.text("make different ellipses.");
