.geometry "version 0.1";
v1 = .free(-0.429348, -0.445652, "0");
v2 = .free(0.002717, 0.516304, "l1");
v3 = .free(0.538043, 0.502717, "l2");
v4 = .free(0.633152, -0.163043, "l3");
l1 = .l.vv(v1, v2, .ray12);
l2 = .l.vv(v1, v3, .ray12);
l3 = .l.vv(v1, v4, .ray12);
v5 = .vonl(l1, -0.254637, -0.056672, .cross, "p1");
v6 = .vonl(l2, -0.178216, -0.199458, .cross, "p2");
v7 = .vonl(l3, -0.199322, -0.384469, .cross, "p3");
v8 = .vonl(l1, -0.178076, 0.113783, .cross, "q1");
v9 = .vonl(l2, -0.030169, -0.054323, .cross, "q2");
v10 = .vonl(l3, 0.020805, -0.325918, .cross, "q3");
l4 = .l.vv(v8, v9, .red, .longline);
l5 = .l.vv(v9, v10, .green, .longline);
l6 = .l.vv(v10, v8, .yellow, .longline);
l7 = .l.vv(v5, v6, .red, .longline);
l8 = .l.vv(v6, v7, .green, .longline);
l9 = .l.vv(v5, v7, .yellow, .longline);
v11 = .v.ll(l7, l4, .red, .plus);
v12 = .v.ll(l9, l6, .yellow, .plus);
v13 = .v.ll(l8, l5, .green, .plus);
l10 = .l.vv(v11, v12, .magenta);
l11 = .l.vv(v12, v13, .magenta);
l12 = .l.vv(v13, v11, .magenta);
.text("Desargues' Theorem:");
.text("");
.text("Given 3 concurrent lines l1, l2, and l3, choose triangles");
.text("p1 p2 p3 and q1 q2 q3, where p1 and q1 are on l1, etc.  Then");
.text("the intersections of the corresponding sides of the triangles");
.text("all lie in a straight line.");
