.geometry "version 0.1";
v1 = .free(-0.915185, 0.212038, "L1");
v2 = .free(0.928865, 0.463748, "L1");
v3 = .free(-0.917921, -0.291382, "L2");
v4 = .free(0.885089, -0.608755, "L2");
l1 = .l.vv(v1, v2, .longline);
l2 = .l.vv(v3, v4, .longline);
v5 = .vonl(l1, -0.675157, 0.244801, .red, .plus);
v6 = .vonl(l1, 0.683711, 0.430285, .red, .plus);
v7 = .vonl(l1, -0.03211, 0.332576, .red, .plus);
v8 = .vonl(l2, 0.098237, -0.47025, .red, .plus);
v9 = .vonl(l2, 0.763544, -0.58736, .red, .plus);
v10 = .vonl(l2, -0.346808, -0.391912, .red, .plus);
l3 = .l.vv(v5, v9, .red);
l4 = .l.vv(v9, v7, .red);
l5 = .l.vv(v7, v10, .red);
l6 = .l.vv(v10, v6, .red);
l7 = .l.vv(v6, v8, .red);
l8 = .l.vv(v8, v5, .red);
v11 = .v.ll(l8, l5, .yellow);
v12 = .v.ll(l3, l6, .yellow);
v13 = .v.ll(l4, l7, .yellow);
l9 = .l.vv(v11, v12, .yellow);
l10 = .l.vv(v12, v13, .yellow);
l11 = .l.vv(v13, v11, .yellow);
.text("Pappus' Theorem:");
.text("");
.text("Given any hexagon whose vertices alternately lie on two lines,");
.text("the intersections of the opposite sides of the hexagon all lie");
.text("on a straight line.  The points L1, L2, ... control the lines,");
.text("and the vertices of the hexagon are the red crosses.  The");
.text("yellow points are the intersections of the opposite sides.  Move");
.text("any of the red crosses, or the points L1, ... to illustrate the");
.text("theorem.");
