.geometry "version 0.1";
v1 = .free(-0.502717, 0.108696, .invisible, .L0, "1");
v2 = .free(0.391304, 0.326087, .invisible, .L0, "2");
v3 = .free(0.0978261, -0.293478, .invisible, .L0, "3");
l1 = .l.vv(v1, v2, .invisible, .L0);
l2 = .l.vv(v2, v3, .invisible, .L0);
l3 = .l.vv(v3, v1, .invisible, .L0);
c1 = .c.vv(v2, v3, .invisible, .L0);
v4 = .v.lc(l1, c1, 1, .invisible, .L0, .plus);
v5 = .v.vvmid(v4, v3, .invisible, .L0, .plus);
l4 = .l.vv(v2, v5, .invisible, .L0);
c2 = .c.vv(v1, v3, .invisible, .L0);
v6 = .v.lc(l1, c2, 2, .invisible, .L0, .plus);
v7 = .v.vvmid(v6, v3, .invisible, .L0, .plus);
l5 = .l.vv(v1, v7, .invisible, .L0);
v8 = .v.ll(l4, l5, .invisible, .L0, .plus);
l6 = .l.vlperp(v8, l1, .invisible, .L0);
v9 = .v.ll(l6, l1, .invisible, .L0, .plus);
c3 = .c.vv(v8, v9, .L0);
c4 = .c.vvv(v3, v2, v1, .L0);
v10 = .vonc(c4, 0.344629, -0.111304, .L0, .cross, "Start");
l7 = .l.vc(v10, c3, 1, .invisible, .L0);
l8 = .l.vc(v10, c3, 2, .invisible, .L0);
v12 = .v.lc(l7, c4, 2, .L0, .plus);
v13 = .v.lc(l8, c4, 2, .L0, .plus);
l9 = .l.vv(v10, v12, .L0);
l10 = .l.vv(v12, v13, .L0);
l11 = .l.vv(v13, v10, .L0);
.text("The Great Poncelet Theorem for Circles");
.text("");
.text("Given 2 circles, one contained within another, choose any point");
.text("on the outer circle, construct the tangent to the inner circle and");
.text("continue to find a new point, and so on.  Either the lines will");
.text("close for all starting points, or for none.  This figure illustrates");
.text("the theorem for two circles arranged so as to close on the third");
.text("line.");
